### Signal

# Ide Debugger::log

#### Declaration

    void
    log (
      IdeDebugger* self,
      IdeDebuggerStream stream,
      GBytes* content,
      gpointer user_data
    )

#### Description

The “log” signal is emitted when there is new content to be appended to one of the streams.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`stream` | `IdeDebuggerStream`
| The stream to append to.
`content` | `GBytes`
| The contents for the stream.
| The data is owned by the caller of the function.